petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMPlexCreateFromCellListPetsc

Create DMPLEX from a list of vertices for each cell (common mesh generator output)

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFromCellListPetsc(MPI_Comm comm, PetscInt dim, PetscInt numCells, PetscInt numVertices, PetscInt numCorners, PetscBool interpolate, const PetscInt cells[], PetscInt spaceDim, const PetscReal vertexCoords[], DM *dm)

### Input Parameters

| comm | - The communicator
| dim | - The topological dimension of the mesh
| numCells | - The number of cells
| numVertices | - The number of vertices owned by this process, or PETSC_DECIDE
| numCorners | - The number of vertices for each cell
| interpolate | - Flag indicating that intermediate mesh entities (faces, edges) should be created automatically
| cells | - An array of numCells*numCorners numbers, the vertices for each cell
| spaceDim | - The spatial dimension used for coordinates
| vertexCoords | - An array of numVertices*spaceDim numbers, the coordinates of each vertex

### Output Parameter

| dm | - The DM

### Notes

This function is just a convenient sequence of DMCreate(), DMSetType(), DMSetDimension(), DMPlexBuildFromCellList(), DMPlexInterpolate(), DMPlexBuildCoordinatesFromCellList()

See DMPlexBuildFromCellList() for an example and details about the topology-related parameters. See DMPlexBuildCoordinatesFromCellList() for details about the geometry-related parameters.

### See Also

DMPlexCreateFromCellListParallelPetsc(), DMPlexBuildFromCellList(), DMPlexBuildCoordinatesFromCellList(), DMPlexCreateFromDAG(), DMPlexCreate()

### Level

intermediate

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/tutorials/ex20.c.html
src/tao/tutorials/ex3.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages